# KDE User's Manual

Eric
Pareja
First version of KXStitch man page for Debian project.
xenos@upm.edu.ph
Yuri
Chornoivan
Updated man page.
yurchor@ukr.net
2014-05-25
K Desktop Environment
kxstitch
1

# `kxstitch`

cross stitch pattern creator and editor for &kde;

    kxstitch &kde; Generic Options &Qt; Generic Options file

## Description

KXStitch is a program that lets you create cross stitch patterns and charts. Patterns can be created from scratch on a user defined size of grid, which can be enlarged or reduced in size as your pattern progresses. Alternatively you can import images from many graphics formats which will allow you to reduce the number of colors and to restrict the conversion to full stitches or optionally use fractional stitches. You may also use an image as a background. These imported images can then be modified using the supplied tools to produce your final design.

There are many tools to aid designing your pattern, from open and filled rectangles and ellipses, filled polygons and lines and backstitching. Additionally cut, copy and paste can be used to duplicate selected areas. Selected areas can also be rotated 90, 180 and 270 degrees anti clockwise, or mirrored horizontally or vertically.

There is also a pattern library that can be used to store small and not so small portions of patterns that can then be reused in other patterns. The patterns in these libraries are stored in a hierarchical list that makes it easy to sort and navigate them to find the ones you want. These pattern libraries can also be used as alphabets by assigning a character to each one. By using the Alphabet tool, each key press is searched for in the current library and if present, the associated pattern will be inserted in the pattern.

When your ready, you can print out your design in several formats. There are options to print out cover sheets, instructions and a floss key including amount of thread used and number of stitches.

## Options

`--author`

  Show author information

`--help`

  Show help about options

`--help-qt`

  Show Qt specific options

`--help-kde`

  Show &kde; specific options

`--help-all`

  Show all options

`--license`

  Show license information

`-v`, `--version`

  Show version information and exit.

## Arguments

file

  Cross stitch document to open.

## See Also

More detailed user documentation is available from help:/kxstitch (either enter this URL into &konqueror;, or run ``khelpcenter` `help:/kxstitch``).

There is also further information available at the KXStitch home page.

## Authors

KXStitch was written by Stephen Allewell steve.allewell@gmail.com.